## svm functions
require(e1071)


## fitting with svm
fitSVM = function(feature, inclass, kernel="radial", cost=1, ... ){
    label = factor(as.character(inclass), levels=c("0","1"))
    w = 1/table(label)
    fit = svm( label~., data=feature, type="C-classification", kernel=kernel, class.weights = w, cost = cost, ... )	
    return(fit)
}

## predicted values by SVM
## make sure that high values are for class "1"
predSVM = function(f, feature){
    as.vector( - diff(f$labels)*attr( predict(f, feature, decision.values=TRUE ), "decision.values") )
}
